Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class LongType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.NullableType
              org.hibernate.type.ImmutableType
                  org.hibernate.type.PrimitiveType
                      org.hibernate.type.LongType

All Implemented Interfaces:
  Serializable, DiscriminatorType, IdentifierType, LiteralType, Type, VersionType

    public class LongType

extends PrimitiveType
implements DiscriminatorType, VersionType

`long`: A type that maps an SQL BIGINT to a Java Long.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`LongType()`

Method Summary
`Object` | `fromStringValue(String xml)`
`Object` | `get(ResultSet rs, String name)` Get a column value from a result set, without worrying about the possibility of null values.
`Comparator` | `getComparator()` Get a comparator for version values.
`Serializable` | `getDefaultValue()`
`String` | `getName()` Returns the abbreviated name of the type.
`Class` | `getPrimitiveClass()`
`Class` | `getReturnedClass()` The class returned by `nullSafeGet()` methods.
`Object` | `next(Object current, SessionImplementor session)` Increment the version.
`String` | `objectToSQLString(Object value, Dialect dialect)` String representation of the value, suitable for embedding in an SQL statement.
`Object` | `seed(SessionImplementor session)` Generate an initial version.
`void` | `set(PreparedStatement st, Object value, int index)` Set a parameter value without worrying about the possibility of null values.
`int` | `sqlType()` A convenience form of `NullableType.sqlTypes(org.hibernate.engine.Mapping)`, returning just a single type value since these are explicitly dealing with single column mappings.
`Object` | `stringToObject(String xml)` Convert the value from the mapping file to a Java object.

Methods inherited from class org.hibernate.type.PrimitiveType
`toString`

Methods inherited from class org.hibernate.type.ImmutableType
`deepCopy, isMutable, replace`

Methods inherited from class org.hibernate.type.NullableType
`fromXMLNode, fromXMLString, getColumnSpan, isDirty, isEqual, isEqual, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, nullSafeSet, nullSafeToString, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toXMLString`

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, compare, disassemble, getHashCode, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isEqual, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from interface org.hibernate.type.VersionType
`isEqual`

Constructor Detail

### LongType

    public LongType()

Method Detail

### getDefaultValue

    public Serializable getDefaultValue()

  Specified by:
    `getDefaultValue` in class `PrimitiveType`

### get

    public Object get(ResultSet rs,
                      String name)
               throws SQLException

  Description copied from class: `NullableType`
  Get a column value from a result set, without worrying about the possibility of null values. Called from `NullableType.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.SessionImplementor, java.lang.Object)` after nullness checks have been performed.

  Specified by:
    `get` in class `NullableType`
  Parameters:
    `rs` - The result set from which to extract the value.
    `name` - The name of the value to extract.
  Returns:
    The extracted value.
  Throws:
    `SQLException` - Indicates problem making the JDBC call(s).

### getPrimitiveClass

    public Class getPrimitiveClass()

  Specified by:
    `getPrimitiveClass` in class `PrimitiveType`

### getReturnedClass

    public Class getReturnedClass()

  Description copied from interface: `Type`
  The class returned by `nullSafeGet()` methods. This is used to establish the class of an array of this type.

  Specified by:
    `getReturnedClass` in interface `Type`
  Returns:
    Class

### set

    public void set(PreparedStatement st,
                    Object value,
                    int index)
             throws SQLException

  Description copied from class: `NullableType`
  Set a parameter value without worrying about the possibility of null values. Called from `NullableType.nullSafeSet(java.sql.PreparedStatement, java.lang.Object, int, boolean[], org.hibernate.engine.SessionImplementor)` after nullness checks have been performed.

  Specified by:
    `set` in class `NullableType`
  Parameters:
    `st` - The statement into which to bind the parameter value.
    `value` - The parameter value to bind.
    `index` - The position or index at which to bind the param value.
  Throws:
    `SQLException` - Indicates problem making the JDBC call(s).

### sqlType

    public int sqlType()

  Description copied from class: `NullableType`
  A convenience form of `NullableType.sqlTypes(org.hibernate.engine.Mapping)`, returning just a single type value since these are explicitly dealing with single column mappings.

  Specified by:
    `sqlType` in class `NullableType`
  Returns:
    The `Types` mapping value.

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Specified by:
    `getName` in interface `Type`
  Returns:
    String the Hibernate type name

### stringToObject

    public Object stringToObject(String xml)
                          throws Exception

  Description copied from interface: `IdentifierType`
  Convert the value from the mapping file to a Java object.

  Specified by:
    `stringToObject` in interface `IdentifierType`
  Parameters:
    `xml` - the value of `discriminator-value` or `unsaved-value` attribute
  Returns:
    Object
  Throws:
    `Exception`

### next

    public Object next(Object current,
                       SessionImplementor session)

  Description copied from interface: `VersionType`
  Increment the version.

  Specified by:
    `next` in interface `VersionType`
  Parameters:
    `current` - the current version
    `session` - The session from which this request originates.
  Returns:
    an instance of the type

### seed

    public Object seed(SessionImplementor session)

  Description copied from interface: `VersionType`
  Generate an initial version.

  Specified by:
    `seed` in interface `VersionType`
  Parameters:
    `session` - The session from which this request originates.
  Returns:
    an instance of the type

### getComparator

    public Comparator getComparator()

  Description copied from interface: `VersionType`
  Get a comparator for version values.

  Specified by:
    `getComparator` in interface `VersionType`
  Returns:
    The comparator to use to compare different version values.

### objectToSQLString

    public String objectToSQLString(Object value,
                                    Dialect dialect)
                             throws Exception

  Description copied from interface: `LiteralType`
  String representation of the value, suitable for embedding in an SQL statement.

  Specified by:
    `objectToSQLString` in interface `LiteralType`
  Returns:
    String the value, as it appears in a SQL query
  Throws:
    `Exception`

### fromStringValue

    public Object fromStringValue(String xml)

  Specified by:
    `fromStringValue` in class `NullableType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD